🚀 Digital ID portal is now live! Check out the overview to get started.
🚀 Digital ID portal is now live! Check out the overview to get started.
Check the status and progress of a journey. The fetch journey state guide explains more.
curl --request POST \
--url https://eu.platform.go.gbgplc.com/captain/api/journey/state/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT"
}
'{
"metaData": {
"createdTime": "2024-02-15T22:16:33.213Z",
"completedTime": "2024-02-15T22:16:33.213Z"
},
"status": "InProgress",
"data": {},
"instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT"
}Documentation Index
Fetch the complete documentation index at: https://docs.go.gbgplc.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique identifier for the journey instance.
"PiIuACmx8Q8R7qPnAkLAqBAT"
Journey state retrieved successfully.
Timestamps related to the journey instance.
Show child attributes
Current status of the journey (e.g., InProgress, Completed).
"InProgress"
Additional data related to the journey instance.
Unique identifier for the journey instance.
"PiIuACmx8Q8R7qPnAkLAqBAT"
Was this page helpful?
curl --request POST \
--url https://eu.platform.go.gbgplc.com/captain/api/journey/state/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT"
}
'{
"metaData": {
"createdTime": "2024-02-15T22:16:33.213Z",
"completedTime": "2024-02-15T22:16:33.213Z"
},
"status": "InProgress",
"data": {},
"instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT"
}